# Uses of Class
net.sf.statcvs.model.Commit

Packages that use Commit
Package
Description
net.sf.statcvs.input
This package is responsible for parsing CVS logs and working copy and creating a StatCVS model from them.

## Uses of Commit in net.sf.statcvs.input

Methods in net.sf.statcvs.input with parameters of type Commit
Modifier and Type
Method
Description
`protected void`
CommitListBuilder.`addRevToCommit(Commit commit, Revision rev)`
`static boolean`
CommitListBuilder.`isInTimeFrame(Commit commit, Date date)`
Returns `true` if the date lies within the timespan of the commit, plus/minus a tolerance.
`static boolean`
CommitListBuilder.`isSameCommit(Commit commit, Revision rev)`
Returns `true` if change is part of the commit, that is if they have the same author, the same message, and are within the same timeframe.